## kpim6-libkleo 25.08.0

=== debian/changelog ===
kpim6-libkleo (4:25.08.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 00:49:39 +0000

kpim6-libkleo (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:36:30 +0000

kpim6-libkleo (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:56:32 +0000

kpim6-libkleo (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:04:51 +0000

kpim6-libkleo (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:47:09 +0000

kpim6-libkleo (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:02:18 +0000

kpim6-libkleo (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:30:47 +0000

kpim6-libkleo (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:00:52 +0000

kpim6-libkleo (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:51:40 +0000

kpim6-libkleo (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:47:28 +0000

kpim6-libkleo (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:03:42 +0000

kpim6-libkleo (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:35:33 +0000

kpim6-libkleo (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:07:06 +0000

kpim6-libkleo (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:00:21 +0000

kpim6-libkleo (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:41:28 +0000

kpim6-libkleo (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:02:22 +0000

kpim6-libkleo (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:46:15 +0000

kpim6-libkleo (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:35:32 +0000

kpim6-libkleo (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:15:10 +0000

kpim6-libkleo (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:35:40 +0000

kpim6-libkleo (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:52:46 +0000

kpim6-libkleo (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:19:56 +0000

libkf5libkleo (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:23:59 +0000

libkf5libkleo (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:57:49 +0000

libkf5libkleo (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:51:27 +0000

libkf5libkleo (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:28:35 +0000

libkf5libkleo (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:03:47 +0000

libkf5libkleo (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:09:40 +0000

libkf5libkleo (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:32:18 +0000

libkf5libkleo (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:47:40 +0000

libkf5libkleo (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:17:38 +0000

libkf5libkleo (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:40:45 +0000

libkf5libkleo (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:39:15 +0000

libkf5libkleo (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:49:02 +0000

libkf5libkleo (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:49 +0000

libkf5libkleo (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:03:57 +0000

libkf5libkleo (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:07 +0000

libkf5libkleo (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:45 +0000

libkf5libkleo (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:00 +0000

libkf5libkleo (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:35 +0000

libkf5libkleo (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:24 +0000

libkf5libkleo (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:07 +0000

libkf5libkleo (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:08 +0000

libkf5libkleo (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:18 +0000

libkf5libkleo (4:20.12.3-0neon) focal; urgency=medium

  * New release



## kpim6-libkleo 25.08.1

=== debian/changelog ===
kpim6-libkleo (4:25.08.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:10:41 +0000

kpim6-libkleo (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:09:26 +0000

## kpim6-libkleo 25.08.2

=== debian/changelog ===
kpim6-libkleo (4:25.08.2-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:38:34 +0000

kpim6-libkleo (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:51:24 +0000

## kpim6-libkleo 25.08.2+p24.04+vstable+git20251015.1642

=== debian/changelog ===
kpim6-libkleo (4:25.08.2+p24.04+vstable+git20251015.1642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:42:11 +0000

## kpim6-libkleo 25.08.2+p24.04+vstable+git20251019.0730

=== debian/changelog ===
kpim6-libkleo (4:25.08.2+p24.04+vstable+git20251019.0730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:01 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkleo-([\d.]+).tar.xz

## kpim6-libkleo 25.08.2+p24.04+vunstable+git20251013.0518

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.43")

# GNUPG_INSTALL_DIR_REGISTRY_KEY is used to find the right GnuPG installation on Windows
if (GNUPG_INSTALL_DIR_REGISTRY_KEY)
    # Gpg4win plus-escapes spaces in the passed value for reasons
    string(REPLACE "+" " " GNUPG_INSTALL_DIR_REGISTRY_KEY "${GNUPG_INSTALL_DIR_REGISTRY_KEY}")
    message(STATUS "Using GNUPG_INSTALL_DIR_REGISTRY_KEY '${GNUPG_INSTALL_DIR_REGISTRY_KEY}'")
else()
    set(GNUPG_INSTALL_DIR_REGISTRY_KEY "Install Directory")
endif()

project(libkleo VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")

if(WIN32)
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  add_compile_definitions(GPG_ERR_ENABLE_GETTEXT_MACROS=1)
else ()
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
endif()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(KDEClangFormat)
include(KDEGitCommitHooks)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(LIBKLEO_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "6.7.0")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF6I18n ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF6_WANT_VERSION} CONFIG REQUIRED)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME++ Library" URL "https://www.gnupg.org" TYPE REQUIRED PURPOSE "GpgME++ is required for OpenPGP support")
message(STATUS "GpgME++ Version ${Gpgmepp_VERSION}")
set(QGPGME_NAME "QGpgmeQt6")
if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.0")
    set(GPGMEPP_ERROR_HAS_ASSTDSTRING 1)
endif()
if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.1")
    set(GPGMEPP_SUPPORTS_KYBER 1)
endif()
find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibGpgError PROPERTIES
  TYPE REQUIRED
)

find_package(Boost 1.70.0 CONFIG)
set_package_properties(Boost PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Boost C++ Libraries"
    URL "https://www.boost.org")

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKLEO
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
                        SOVERSION 6
)

########### Targets ###########
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.18.0)

remove_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_EMIT)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Libkleo")

set(FIND_MODULES_INSTALL_DIR ${KDE_INSTALL_DATAROOTDIR}/KPim6Libkleo/find-modules/)


install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo COMPONENT Devel
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    set(UNITY_BUILD ON)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-libkleo.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-libkleo.h)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
        EXPORT LIBKLEO
        FILE libkleo.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )

ki18n_install(po)
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Libkleo_QCH
        FILE KPim6LibkleoQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6LibkleoQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimLibkleoConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS
      FIND_MODULES_INSTALL_DIR
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6LibkleoTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6LibkleoTargets.cmake NAMESPACE KPim6::)

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/cmake/modules/Find*.cmake)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
src/*.cpp src/*.h 
tests/*.cpp tests/*.h
autotests/*.cpp autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kpim6-libkleo 25.08.2+p24.04+vstable+git20251028.0935

=== debian/changelog ===
kpim6-libkleo (4:25.08.2+p24.04+vstable+git20251028.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:35:35 +0000

=== debian/control ===
Source: kpim6-libkleo
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-ktextaddons-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kpim6-kpimtextedit-dev,
               libboost-dev (>= 1.34.0~),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkleo.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkleo
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libkleo-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kwidgetsaddons-dev,
         kpim6-libkleo (= ${binary:Version}),
         libboost-dev,
         libgpgme-dev,
         libgpgmepp-dev,
         libqgpgmeqt6-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkpim5libkleo-dev, libkpim6libkleo-dev
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: kpim6-libkleo
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6libkleo6abi1
Replaces: libkpim5libkleo-data,
          libkpim5libkleo5,
          libkpim5libkleo5abi1,
          libkpim6libkleo-data,
          libkpim6libkleo5abi1,
          libkpim6libkleo6
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpim6libkleo-data
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkleo-dev
Architecture: all
Depends: kpim6-libkleo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkleo6
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkleo6abi1
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5libkleo-data
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5libkleo-dev
Architecture: all
Depends: kpim6-libkleo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5libkleo5
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5libkleo5abi1
Architecture: all
Depends: kpim6-libkleo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-libkleo 25.08.2+p24.04+vunstable+git20251013.0518

=== debian/changelog ===
kpim6-libkleo (4:25.08.2+p24.04+vunstable+git20251013.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:18:54 +0000

## kpim6-libkleo 25.08.2+p24.04+vunstable+git20251015.1538

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,7 +96,7 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)

=== debian/changelog ===
kpim6-libkleo (4:25.08.2+p24.04+vunstable+git20251015.1538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:38:33 +0000

## kpim6-libkleo 25.08.3

=== debian/changelog ===
kpim6-libkleo (4:25.08.3-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:43:38 +0000

kpim6-libkleo (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:50 +1000

## kpim6-libkleo 25.08.3+p24.04+vstable+git20251208.0155

=== debian/changelog ===
kpim6-libkleo (4:25.08.3+p24.04+vstable+git20251208.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 01:55:46 +0000

## kpim6-libkleo 25.08.3+p24.04+vunstable+git20251204.0558

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.43")
+set(PIM_VERSION "6.6.41")
 
 # GNUPG_INSTALL_DIR_REGISTRY_KEY is used to find the right GnuPG installation on Windows
 if (GNUPG_INSTALL_DIR_REGISTRY_KEY)
@@ -14,7 +14,7 @@
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.19.0")
 
 if(WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
@@ -23,9 +23,7 @@
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
 endif()
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
@@ -96,7 +94,7 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)

=== debian/changelog ===
kpim6-libkleo (4:25.08.3+p24.04+vunstable+git20251204.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:58:49 +0000

## kpim6-libkleo 25.08.3+p24.04+vunstable+git20251206.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 if(WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})

=== debian/changelog ===
kpim6-libkleo (4:25.08.3+p24.04+vunstable+git20251206.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:37:20 +0000

## kpim6-libkleo 25.12.0

=== debian/changelog ===
kpim6-libkleo (4:25.12.0-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:33:41 +0000

kpim6-libkleo (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:44 +1000

## kpim6-libkleo 25.12.0+p24.04+vstable+git20251222.0517

=== debian/changelog ===
kpim6-libkleo (4:25.12.0+p24.04+vstable+git20251222.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:17:59 +0000

## kpim6-libkleo 25.12.0+p24.04+vstable+git20251231.0148

=== debian/changelog ===
kpim6-libkleo (4:25.12.0+p24.04+vstable+git20251231.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:48:46 +0000

## kpim6-libkleo 25.12.1

=== debian/changelog ===
kpim6-libkleo (4:25.12.1-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:52:35 +0000

kpim6-libkleo (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:20:47 +1000

## kpim6-libkleo 25.12.1+p24.04+vstable+git20260106.1630

=== debian/changelog ===
kpim6-libkleo (4:25.12.1+p24.04+vstable+git20260106.1630-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:30:48 +0000

## kpim6-libkleo 25.12.1+p24.04+vstable+git20260131.0326

=== debian/changelog ===
kpim6-libkleo (4:25.12.1+p24.04+vstable+git20260131.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:26:25 +0000

## kpim6-libkleo 25.12.1+p24.04+vstable+git20260205.0425

=== debian/changelog ===
kpim6-libkleo (4:25.12.1+p24.04+vstable+git20260205.0425-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:25:30 +0000

## kpim6-libkleo 25.12.2+p24.04+vunstable+git20260207.0030

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.41")
-
-# GNUPG_INSTALL_DIR_REGISTRY_KEY is used to find the right GnuPG installation on Windows
-if (GNUPG_INSTALL_DIR_REGISTRY_KEY)
-    # Gpg4win plus-escapes spaces in the passed value for reasons
-    string(REPLACE "+" " " GNUPG_INSTALL_DIR_REGISTRY_KEY "${GNUPG_INSTALL_DIR_REGISTRY_KEY}")
-    message(STATUS "Using GNUPG_INSTALL_DIR_REGISTRY_KEY '${GNUPG_INSTALL_DIR_REGISTRY_KEY}'")
-else()
-    set(GNUPG_INSTALL_DIR_REGISTRY_KEY "Install Directory")
-endif()
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.43")
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 
 if(WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
@@ -51,8 +42,8 @@
 
 set(LIBKLEO_LIB_VERSION ${PIM_VERSION})
 set(QT_REQUIRED_VERSION "6.7.0")
-set(GPGME_REQUIRED_VERSION "1.23.2")
-set(GPG_ERROR_REQUIRED_VERSION "1.36")
+set(GPGME_REQUIRED_VERSION "2.0.0")
+set(GPG_ERROR_REQUIRED_VERSION "1.47")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
 find_package(KF6I18n ${KF6_WANT_VERSION} CONFIG REQUIRED)
@@ -68,12 +59,6 @@
 set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME++ Library" URL "https://www.gnupg.org" TYPE REQUIRED PURPOSE "GpgME++ is required for OpenPGP support")
 message(STATUS "GpgME++ Version ${Gpgmepp_VERSION}")
 set(QGPGME_NAME "QGpgmeQt6")
-if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.0")
-    set(GPGMEPP_ERROR_HAS_ASSTDSTRING 1)
-endif()
-if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.1")
-    set(GPGMEPP_SUPPORTS_KYBER 1)
-endif()
 find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
 
 find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
@@ -94,7 +79,12 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0  KF 6.23.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
# target_include_directories does not handle empty include paths
include_directories(
    ${GPGME_INCLUDES}
)
add_definitions(-DTRANSLATION_DOMAIN=\"libkleopatra6\")

#add_definitions(-DQT_NO_CAST_FROM_ASCII)
#add_definitions(-DQT_NO_CAST_TO_ASCII)

kde_enable_exceptions()

add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=13) # 13 is GPG_ERR_SOURCE_KLEO, even if gpg-error's too old to know about

add_subdirectory(pics)
add_library(KPim6Libkleo)
add_library(KPim6::Libkleo ALIAS KPim6Libkleo)

########### next target ###############
target_sources(KPim6Libkleo PRIVATE
    pics/libkleopatra.qrc

    kleo/auditlogentry.cpp
    kleo/auditlogentry.h
    kleo/checksumdefinition.cpp
    kleo/checksumdefinition.h
    kleo/debug.cpp
    kleo/debug.h
    kleo/defaultkeyfilter.cpp
    kleo/defaultkeyfilter.h
    kleo/defaultkeygenerationjob.cpp
    kleo/defaultkeygenerationjob.h
    kleo/docaction.cpp kleo/docaction.h
    kleo/dn.cpp
    kleo/dn.h
    kleo/dnattributes.cpp
    kleo/dnattributes.h
    kleo/enum.cpp
    kleo/enum.h
    kleo/expirychecker.cpp
    kleo/expirychecker.h
    kleo/expirycheckerconfig.cpp
    kleo/expirycheckerconfig.h
    kleo/expirycheckersettings.cpp
    kleo/expirycheckersettings.h
    kleo/kconfigbasedkeyfilter.cpp
    kleo/kconfigbasedkeyfilter.h
    kleo/keyfilter.h
    kleo/keyfiltermanager.cpp
    kleo/keyfiltermanager.h
    kleo/keygroup.cpp
    kleo/keygroup.h
    kleo/keygroupconfig.cpp
    kleo/keygroupconfig.h
    kleo/keygroupimportexport.cpp
    kleo/keygroupimportexport.h
    kleo/keyresolver.cpp
    kleo/keyresolver.h
    kleo/keyresolvercore.cpp
    kleo/keyresolvercore.h
    kleo/keyserverconfig.cpp
    kleo/keyserverconfig.h
    kleo/kleoexception.cpp
    kleo/kleoexception.h
    kleo/oidmap.cpp
    kleo/oidmap.h
    kleo/predicates.h
    kleo/stl_util.h
    models/keycache.cpp
    models/keycache.h
    models/keycache_p.h
    models/keylist.h
    models/keylistmodel.cpp
    models/keylistmodel.h
    models/keylistmodelinterface.cpp
    models/keylistmodelinterface.h
    models/keylistsortfilterproxymodel.cpp
    models/keylistsortfilterproxymodel.h
    models/keyrearrangecolumnsproxymodel.cpp
    models/keyrearrangecolumnsproxymodel.h
    models/subkeylistmodel.cpp
    models/subkeylistmodel.h
    models/useridlistmodel.cpp
    models/useridlistproxymodel.cpp
    models/useridlistproxymodel.h
    models/useridlistmodel.h
    models/useridproxymodel.cpp
    models/useridproxymodel.h
    utils/algorithm.h
    utils/applicationpalettewatcher.cpp
    utils/applicationpalettewatcher.h
    utils/assuan.cpp
    utils/assuan.h
    utils/chrono.h
    utils/classify.cpp
    utils/classify.h
    utils/compat.cpp
    utils/compat.h
    utils/compliance.cpp
    utils/compliance.h
    utils/cryptoconfig.cpp
    utils/cryptoconfig.h
    utils/cryptoconfig_p.h
    utils/filesystemwatcher.cpp
    utils/filesystemwatcher.h
    utils/formatting.cpp
    utils/formatting.h
    utils/expiration.cpp
    utils/expiration.h
    utils/gnupg-registry.c
    utils/gnupg-registry.h
    utils/gnupg.cpp
    utils/gnupg.h
    utils/hex.cpp
    utils/hex.h
    utils/keyhelpers.cpp
    utils/keyhelpers.h
    utils/keyparameters.cpp
    utils/keyparameters.h
    utils/keyusage.h
    utils/qtstlhelpers.cpp
    utils/qtstlhelpers.h
    utils/scdaemon.cpp
    utils/scdaemon.h
    utils/stringutils.cpp
    utils/stringutils.h
    utils/systeminfo.cpp
    utils/systeminfo.h
    utils/test.cpp
    utils/test.h
    utils/validation.cpp
    utils/validation.h
    utils/verification.h
    utils/multivalidator_p.h
    utils/multivalidator.cpp
)
ecm_qt_declare_logging_category(KPim6Libkleo HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo
    DESCRIPTION "libkleo (kleo_core)"
    EXPORT LIBKLEO
)


target_sources(KPim6Libkleo PRIVATE
    ui/animatedexpander.cpp
    ui/animatedexpander.h
    ui/auditlogviewer.cpp
    ui/auditlogviewer.h
    ui/cryptoconfigentryreaderport.cpp
    ui/cryptoconfigentryreaderport_p.h
    ui/cryptoconfigmodule.cpp
    ui/cryptoconfigmodule.h
    ui/cryptoconfigmodule_p.h
    ui/directoryserviceswidget.cpp
    ui/directoryserviceswidget.h
    ui/dnattributeorderconfigwidget.cpp
    ui/dnattributeorderconfigwidget.h
    ui/editdirectoryservicedialog.cpp
    ui/editdirectoryservicedialog.h
    ui/errorlabel.cpp
    ui/errorlabel.h
    ui/filenamerequester.cpp
    ui/filenamerequester.h
    ui/formtextinput.cpp
    ui/formtextinput.h
    ui/messagebox.cpp
    ui/messagebox.h
    ui/nameandemailwidget.cpp
    ui/nameandemailwidget.h
    ui/openpgpcertificatecreationdialog.cpp
    ui/openpgpcertificatecreationdialog.h
    ui/treeview.cpp
    ui/treeview.h
    ui/treewidget.cpp
    ui/treewidget.h
    ui/progressbar.cpp
    ui/progressbar.h
    ui/progressdialog.cpp
    ui/progressdialog.h
    ui/readerportselection.cpp
    ui/readerportselection.h
)

ecm_qt_declare_logging_category(KPim6Libkleo HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui
    DESCRIPTION "libkleo (kleo_ui)"
    OLD_CATEGORY_NAMES log_kleo_ui
    EXPORT LIBKLEO
)


target_sources(KPim6Libkleo PRIVATE    # make this a separate lib.
    ui/keyapprovaldialog.cpp
    ui/keyapprovaldialog.h
    ui/keylistview.cpp
    ui/keylistview.h
    ui/keyrequester.cpp
    ui/keyrequester.h
    ui/keyselectioncombo.cpp
    ui/keyselectioncombo.h
    ui/keyselectiondialog.cpp
    ui/keyselectiondialog.h
    ui/newkeyapprovaldialog.cpp
    ui/newkeyapprovaldialog.h
    ui/useridselectioncombo.cpp
    ui/useridselectioncombo.h
)

if(MINGW)
    # we do not care about different signedness of passed pointer arguments
    set_source_files_properties(utils/gnupg-registry.c PROPERTIES COMPILE_OPTIONS "-Wno-pointer-sign")
endif()

target_link_libraries(KPim6Libkleo PUBLIC Gpgmepp PRIVATE Qt::Widgets
                                                KF6::I18n
                                                KF6::Completion
                                                KF6::ConfigCore
                                                KF6::ColorScheme
                                                KF6::ConfigGui
                                                KF6::CoreAddons
                                                KF6::ItemModels
                                                KF6::WidgetsAddons
                                                KF6::Codecs
                                                LibGpgError::LibGpgError)

target_link_libraries(KPim6Libkleo PUBLIC QGpgmeQt6)
target_link_libraries(KPim6Libkleo PRIVATE Boost::headers)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6Libkleo PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_export_header(KPim6Libkleo
    BASE_NAME kleo
    VERSION ${PIM_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.23
)

if(WIN32)
    target_link_libraries(KPim6Libkleo ${GPGME_VANILLA_LIBRARIES})
endif()

set_target_properties(KPim6Libkleo PROPERTIES
    VERSION ${LIBKLEO_VERSION}
    SOVERSION ${LIBKLEO_SOVERSION}
    EXPORT_NAME Libkleo
)

install(TARGETS
    KPim6Libkleo
    EXPORT KPim6LibkleoTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

target_include_directories(KPim6Libkleo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo>")
target_include_directories(KPim6Libkleo PUBLIC "$<BUILD_INTERFACE:${libkleo_SOURCE_DIR}/src>")

ecm_generate_headers(libkleo_CamelCase_HEADERS
    HEADER_NAMES
    AuditLogEntry
    ChecksumDefinition
    Debug
    DefaultKeyFilter
    DefaultKeyGenerationJob
    DocAction
    Dn
    DnAttributes
    Enum
    ExpiryChecker
    ExpiryCheckerConfig
    ExpiryCheckerSettings
    KConfigBasedKeyFilter
    KeyFilter
    KeyFilterManager
    KeyGroup
    KeyGroupConfig
    KeyGroupImportExport
    KeyResolver
    KeyResolverCore
    KeyserverConfig
    KleoException
    OidMap
    Predicates
    Stl_Util
    REQUIRED_HEADERS libkleo_HEADERS
    PREFIX Libkleo
    RELATIVE kleo
)

ecm_generate_headers(libkleo_CamelCase_models_HEADERS
    HEADER_NAMES
    KeyCache
    KeyList
    KeyListModel
    KeyListModelInterface
    KeyListSortFilterProxyModel
    KeyRearrangeColumnsProxyModel
    SubkeyListModel
    UserIDListModel
    UserIDListProxyModel
    UserIDProxyModel
    REQUIRED_HEADERS libkleo_models_HEADERS
    PREFIX Libkleo
    RELATIVE models
)

ecm_generate_headers(libkleo_CamelCase_utils_HEADERS
    HEADER_NAMES
    Algorithm
    ApplicationPaletteWatcher
    Assuan
    Chrono
    Classify
    Compat
    Compliance
    CryptoConfig
    Expiration
    FileSystemWatcher
    Formatting
    GnuPG
    Hex
    KeyHelpers
    KeyParameters
    KeyUsage
    QtStlHelpers
    SCDaemon
    StringUtils
    SystemInfo
    Test
    Validation
    Verification
    REQUIRED_HEADERS libkleo_utils_HEADERS
    PREFIX Libkleo
    RELATIVE utils
)

ecm_generate_headers(libkleo_CamelCase_ui_HEADERS
    HEADER_NAMES
    AnimatedExpander
    AuditLogViewer
    CryptoConfigModule
    DNAttributeOrderConfigWidget
    DirectoryServicesWidget
    EditDirectoryServiceDialog
    ErrorLabel
    FormTextInput
    FileNameRequester
    KeyApprovalDialog
    KeyListView
    KeyRequester
    KeySelectionCombo
    KeySelectionDialog
    MessageBox
    NameAndEmailWidget
    TreeView
    TreeWidget
    NewKeyApprovalDialog
    OpenPGPCertificateCreationDialog
    ProgressDialog
    ReaderPortSelection
    UserIDSelectionCombo
    REQUIRED_HEADERS libkleo_ui_HEADERS
    PREFIX Libkleo
    RELATIVE ui
)

kconfig_add_kcfg_files(KPim6Libkleo
    kcfg/expirycheckerconfigbase.kcfgc
    kcfg/classifyconfig.kcfgc
    kcfg/openpgpcertificatecreationconfig.kcfgc
)

install(FILES
    ${libkleo_CamelCase_HEADERS}
    ${libkleo_CamelCase_models_HEADERS}
    ${libkleo_CamelCase_ui_HEADERS}
    ${libkleo_CamelCase_utils_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo/Libkleo
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/expirycheckerconfigbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/kleo_export.h
    ${libkleo_HEADERS}
    ${libkleo_models_HEADERS}
    ${libkleo_ui_HEADERS}
    ${libkleo_utils_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/classifyconfig.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo/libkleo
    COMPONENT Devel
)

if(WIN32)
    install(FILES libkleopatrarc-win32.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc)
else ()
    install(FILES libkleopatrarc.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6Libkleo_QCH
        NAME KPim6Libkleo
        BASE_NAME KPim6Libkleo
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${libkleo_HEADERS}
        ${libkleo_models_HEADERS}
        ${libkleo_ui_HEADERS}
        ${libkleo_utils_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KLEO_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== debian/changelog ===
kpim6-libkleo (4:25.12.2+p24.04+vunstable+git20260207.0030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 00:30:52 +0000

kpim6-libkleo (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:30:49 +0000
